## rednotebook 2.37%2Bds

=== debian/changelog ===
rednotebook (2.37+ds-3) unstable; urgency=medium

  * Fix txt2tags errors. (Closes: #1091872)
  * Rework patches.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 03 Jan 2025 10:12:00 +0000

rednotebook (2.37+ds-2) unstable; urgency=medium

  * Refactor patch for python3 and fix escape sequences. (Closes: #1091437)

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 27 Dec 2024 12:01:56 +0000

rednotebook (2.37+ds-1) unstable; urgency=medium

  * New upstream version, 2.37. (Closes: #1087045)

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 20 Dec 2024 14:01:57 +0000

rednotebook (2.36+ds-1) unstable; urgency=medium

  * New upstream version, 2.36.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 07 Dec 2024 14:00:51 +0000

=== debian/control ===
Source: rednotebook
Maintainer: Phil Wyett <philip.wyett@kathenas.org>
Section: text
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://rednotebook.app
Vcs-Git: https://salsa.debian.org/debian/rednotebook.git
Vcs-Browser: https://salsa.debian.org/debian/rednotebook
Build-Depends: debhelper-compat (= 13),
               gettext,
               python3-all,
               python3-setuptools,
               dh-python

Package: rednotebook
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         gir1.2-gdk-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-gio-2.0,
         gir1.2-girepository-2.0,
         gir1.2-glib-2.0,
         gir1.2-gobject-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         gir1.2-pango-1.0,
         gir1.2-webkit2-4.1,
         python3-gi,
         python3-yaml
Recommends: python3-enchant
Description: Modern desktop diary and personal journaling tool
 It lets you format, tag and search your entries. You can also add pictures,
 links and customisable templates, spell check your notes, and export to plain
 text, HTML, LaTeX or PDF.

## rednotebook 2.37+ds

=== debian/watch ===
# See uscan(1) for format.
# Also see: https://wiki.debian.org/debian/watch

# Compulsory line, this is a version 4 file.
version=4

opts="searchmode=plain,repacksuffix=+ds,dversionmangle=s/\+ds//,repack,compression=gz, \
filenamemangle=s%@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/jendrikseipp/rednotebook/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/@ANY_VERSION@

## rednotebook 2.38+ds

=== debian/changelog ===
rednotebook (2.38+ds-1) unstable; urgency=medium

  * New upstream release, 2.38.
  * 'd/control':
    - Update 'Standards-Version' to 4.7.1, no changes required.
  * 'd/patches/*':
    - Remove unneeded patches.
    - Rework '0001_use_python3.patch' patch, DEP-3 etc.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 24 Feb 2025 11:43:56 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://rednotebook.app
 Vcs-Git: https://salsa.debian.org/debian/rednotebook.git

## rednotebook 2.39+ds

=== debian/changelog ===
rednotebook (2.39+ds-3) unstable; urgency=medium

  * 'debian/control':
    - Remove 'Rules-Requires-Root: no'.
    - Change 'Build-Depends' to 'python3' from 'python3-all'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 14 Aug 2025 11:18:50 +0100

rednotebook (2.39+ds-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 21 Apr 2025 12:05:03 +0100

rednotebook (2.39+ds-2) unstable; urgency=medium

  * New release to fix failed edit in '-1'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 31 Mar 2025 08:38:58 +0100

rednotebook (2.39+ds-1) unstable; urgency=medium

  * New upstream version, 2.39.
  * 'debian/control':
    - Update 'Standards-Version' to 4.7.2, no changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 31 Mar 2025 08:07:43 +0100

rednotebook (2.38+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 05 Mar 2025 15:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: text
 Priority: optional
-Standards-Version: 4.7.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://rednotebook.app
 Vcs-Git: https://salsa.debian.org/debian/rednotebook.git
 Vcs-Browser: https://salsa.debian.org/debian/rednotebook
 Build-Depends: debhelper-compat (= 13),
                gettext,
-               python3-all,
+               python3,
                python3-setuptools,
                dh-python

## rednotebook 2.40+ds

=== debian/changelog ===
rednotebook (2.40+ds-1) unstable; urgency=medium

  * New upstream version, 2.40.
  * 'debian/watch':
    - Use new version 5.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 28 Aug 2025 08:28:16 +0100

=== debian/watch ===
Version: 5
Template: Github
Owner: jendrikseipp
Project: rednotebook

## rednotebook 2.41+ds

=== win/requirements.txt ===
altgraph==0.17.2
# cefpython3==66.1
distlib==0.3.4
filelock==3.6.0
future==0.18.2
pefile==2022.5.30
platformdirs==2.5.1
pycairo @ file:///C:/gtk/pycairo-1.21.0-cp39-cp39-win_amd64.whl
PyGObject @ file:///C:/gtk/PyGObject-3.42.0-cp39-cp39-win_amd64.whl
pyinstaller==5.13.1
pyinstaller-hooks-contrib==2022.4
pywin32-ctypes==0.2.1
PyYAML==5.4.1
six==1.16.0
virtualenv==20.14.0

=== debian/changelog ===
rednotebook (2.41+ds-5) unstable; urgency=medium

  * 'debian/rules':
    - Do last of 'pybuild' changes.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 30 Sep 2025 08:35:04 +0100

rednotebook (2.41+ds-4) unstable; urgency=medium

  * 'debian/control':
    - Switch to using 'dh-sequence-python3'.
    - Switch to using 'pybuild-plugin-pyproject'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 28 Sep 2025 16:21:28 +0100

rednotebook (2.41+ds-3) unstable; urgency=medium

  * 'debian/watch':
    - Make 'Version: 5' its own paragraph.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 09 Sep 2025 12:21:22 +0100

rednotebook (2.41+ds-2) unstable; urgency=medium

  * 'debian/watch':
    - Update to version 5 format.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 29 Aug 2025 08:33:43 +0100

rednotebook (2.41+ds-1) unstable; urgency=medium

  * New upstream version, 2.41.
  * 'debian/watch':
    - Revert to version 4 for now.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 29 Aug 2025 05:56:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Vcs-Git: https://salsa.debian.org/debian/rednotebook.git
 Vcs-Browser: https://salsa.debian.org/debian/rednotebook
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                gettext,
+               pybuild-plugin-pyproject,
                python3,
-               python3-setuptools,
-               dh-python
+               python3-setuptools
 
 Package: rednotebook
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment the line below to turn on debhelper verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = rednotebook

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	# install into a private directory
	python3 setup.py install --root=$(CURDIR)/debian/rednotebook \
		--install-lib=/usr/share/rednotebook \
		--install-scripts=/usr/bin \
		--install-data=/usr
	# "--install-scripts=/usr/share/rednotebook" will not work here
	# as binary name is the same as module name
	mv $(CURDIR)/debian/rednotebook/usr/bin/rednotebook \
		$(CURDIR)/debian/rednotebook/usr/share/rednotebook/run.py

override_dh_auto_test:
	echo "Skipping tests"

=== debian/watch ===
Version: 5
Template: Github
Owner: jendrikseipp
Project: rednotebook
Dversion-Mangle: s/\+ds\d*$//
Repacksuffix: +ds

## rednotebook 2.42+ds

=== win/requirements.txt ===
altgraph==0.17.2
distlib==0.3.4
filelock==3.6.0
future==0.18.2
pefile==2022.5.30
platformdirs==2.5.1
pyinstaller==6.16.0
pyinstaller-hooks-contrib==2025.8
pywin32-ctypes==0.2.1
PyYAML==5.4.1
six==1.16.0
virtualenv==20.14.0

=== debian/changelog ===
rednotebook (2.42+ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.42+ds
    - Refresh patch
  * Add d/gbp.conf for DEP-14
  * Remove Priority: optional from d/control
  * Update Standards-Version to 4.7.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 15 Jan 2026 11:41:44 +0100

rednotebook (2.41+ds-6) unstable; urgency=medium

  * QA upload
  * Orphan package
  * Remove unnecessary Depends: gir1.2-girepository-2.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 17:46:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rednotebook
-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: text
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://rednotebook.app
 Vcs-Git: https://salsa.debian.org/debian/rednotebook.git
 Vcs-Browser: https://salsa.debian.org/debian/rednotebook
@@ -20,7 +19,6 @@
          gir1.2-gdk-3.0,
          gir1.2-gdkpixbuf-2.0,
          gir1.2-gio-2.0,
-         gir1.2-girepository-2.0,
          gir1.2-glib-2.0,
          gir1.2-gobject-2.0,
          gir1.2-gtk-3.0,
